commit:     ff9af0a29e4fc21061daac843c107bb4524e7534
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  4 01:11:37 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Dec  4 01:31:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff9af0a2

dev-util/sysprof: Version bump to 3.38.1

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-util/sysprof/Manifest              |  1 +
 dev-util/sysprof/sysprof-3.38.1.ebuild | 79 ++++++++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index c963ebe3bea..0af7bddcac0 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1 +1,2 @@
 DIST sysprof-3.36.0.tar.xz 435956 BLAKE2B 
990a6c6c28339594df915ed1fb98f504bf6b080a5e3c31af0cc4bcfd208027361f02a9068291692d082787a6fd42ab414079122a63e4706aee2511040379f0c8
 SHA512 
41f99cc3446a6624ea74fcdecd7a29a2e5e2d4086383d59a9064c4a3df5d9b8d08f4903ff4dcc85ffa9c6d42bd84dec5c03f6010fffd4415cc8fecf4dc0b23f4
+DIST sysprof-3.38.1.tar.xz 458572 BLAKE2B 
68c219a6c80ed070314fc7718a2995c49821cc7c761b277fdd29c233da9d81b561b6c68cd0d0a42cc3e4c150e3de438322f7d418140ce19f3381f4ffac78aa1a
 SHA512 
7ba3dd51bd4055dcdf4d46ff87e46537afe42ba009809fdee5ba0ebcdf70776d9e1ff812714096d33b09ac57d459707b92b1ca07682e2f3888b612ca74820442

diff --git a/dev-util/sysprof/sysprof-3.38.1.ebuild 
b/dev-util/sysprof/sysprof-3.38.1.ebuild
new file mode 100644
index 00000000000..b93358958f7
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.38.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org gnome2-utils meson systemd xdg
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/";
+
+LICENSE="GPL-3+ GPL-2+"
+API_VERSION="4"
+SLOT="0/${API_VERSION}"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk +unwind"
+
+RDEPEND="
+       >=dev-libs/glib-2.61.3:2
+       gtk? (
+               >=x11-libs/gtk+-3.22.0:3
+               >=dev-libs/libdazzle-3.30.0
+       )
+       >=sys-auth/polkit-0.114
+       unwind? ( sys-libs/libunwind:= )
+       >=dev-util/sysprof-common-${PV}
+       >=dev-util/sysprof-capture-${PV}:${API_VERSION}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-libs/appstream-glib
+       dev-util/gdbus-codegen
+       dev-util/itstool
+       >=sys-devel/gettext-0.19.8
+       >=sys-kernel/linux-headers-2.6.32
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       xdg_src_prepare
+       # These are installed by dev-util/sysprof-capture
+       sed -i -e '/install/d' src/libsysprof-capture/meson.build || die
+       sed -i -e 's/pkgconfig\.generate/subdir_done()\npkgconfig\.generate/' 
src/libsysprof-capture/meson.build || die
+       # We want to ship org.gnome.Sysprof3.Profiler.xml in sysprof-common for 
the benefit of x11-wm/mutter
+       sed -i -e "s|if get_option('libsysprof')|if false|g" src/meson.build || 
die
+}
+
+src_configure() {
+       # -Dwith_sysprofd=host currently unavailable from ebuild
+       local emesonargs=(
+               $(meson_use gtk enable_gtk)
+               -Dlibsysprof=true
+               -Dwith_sysprofd=bundled
+               -Dsystemdunitdir=$(systemd_get_systemunitdir)
+               # -Ddebugdir
+               -Dhelp=true
+               $(meson_use unwind libunwind)
+       )
+       meson_src_configure
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_schemas_update
+
+       elog "On many systems, especially amd64, it is typical that with a 
modern"
+       elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+       elog "debugging is still possible thanks to gcc4/gdb location list 
feature."
+       elog "However sysprof is not able to construct call trees if frame 
pointers"
+       elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is 
suggested"
+       elog "for the libraries and applications involved in the profiling. 
That"
+       elog "means a CPU register is used for the frame pointer instead of 
other"
+       elog "purposes, which means a very minimal performance loss when there 
is"
+       elog "register pressure."
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_schemas_update
+}

Reply via email to